source: trunk/softs/tests_ccvcache_v4/test_sc_no_ll/run @ 265

Last change on this file since 265 was 265, checked in by bouyer, 12 years ago

Update/add 2 new tests, from tests_mips32_vcache:
test_llsc: check basic functionnality of ll/sc
test_sc_no_ll: check that a sc without prior ll fails as expected

  • Property svn:executable set to *
File size: 437 bytes
Line 
1#!/bin/sh
2
3. ../common/common.sh
4
5check_output()
6{
7        egrep "^0x0000DEAD 0x00000000$" run.out > /dev/null
8        if [ $? -eq 0 ]; then
9                return 0;
10        fi
11        echo "couldn't find string in output - mtty not working ?" >> run.out
12        return 1
13}
14
15make --quiet || exit 1
16${SIMUL} > run.out 2>&1 
17if [ $? -eq 0 ]; then
18        if check_output; then
19                echo "test passsed";
20                make --quiet clean
21                exit 0;
22        fi
23        echo "test FAILED"
24        exit 1
25fi
26echo "test FAILED"
27exit 1
28
Note: See TracBrowser for help on using the repository browser.